Bug 221951 - ETH0 stops working after update to kernel 2869
Summary: ETH0 stops working after update to kernel 2869
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-09 07:51 UTC by Olaf Pasveer
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 18:51:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'rpm -qa | grep kernel' (264 bytes, text/plain)
2007-01-10 06:36 UTC, Olaf Pasveer
no flags Details
Output of 'rpm -qa | grep kernel' (264 bytes, text/plain)
2007-01-10 06:36 UTC, Olaf Pasveer
no flags Details
Output of dmesg with kernel 2869 (16.64 KB, text/plain)
2007-01-10 06:41 UTC, Olaf Pasveer
no flags Details
Output of dmesg with kernel 2868 (19.55 KB, text/plain)
2007-01-10 06:42 UTC, Olaf Pasveer
no flags Details
Output of lspci with kernel 2869 (1.54 KB, text/plain)
2007-01-10 06:43 UTC, Olaf Pasveer
no flags Details
Output of lspci with kernel 2868 (1.54 KB, text/plain)
2007-01-10 06:44 UTC, Olaf Pasveer
no flags Details

Description Olaf Pasveer 2007-01-09 07:51:19 UTC
Description of problem:
After updating to kernel  2.6.18-1.2869.fc6 my ethernet device tg3 is no longer
present.
Rebooting to kernel 2868 re-enables my eth0.

Version-Release number of selected component (if applicable):


How reproducible:
Boot into kernel 2869

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John W. Linville 2007-01-09 13:28:00 UTC
I'm running the i686 2.6.18-1.2869.fc6 kernel on my T43 and the tg3 ethernet 
device is working fine.

Can you include the output of running 'lspci'?  Attaching the output 
of 'dmesg' immediately after booting both the 2868 and 2869 kernels might be 
helpful as well.  Please make sure to make an attempt to use the tg3 device 
(e.g. ifup eth0 ; ping somehost.on.your.network) before capturing the dmesg 
output.

Comment 2 Olaf Pasveer 2007-01-10 06:36:23 UTC
Created attachment 145229 [details]
Output of 'rpm -qa | grep kernel'

Comment 3 Olaf Pasveer 2007-01-10 06:36:33 UTC
Created attachment 145230 [details]
Output of 'rpm -qa | grep kernel'

Comment 4 Olaf Pasveer 2007-01-10 06:41:38 UTC
Created attachment 145231 [details]
Output of dmesg with kernel 2869

Comment 5 Olaf Pasveer 2007-01-10 06:42:40 UTC
Created attachment 145232 [details]
Output of dmesg with kernel 2868

Comment 6 Olaf Pasveer 2007-01-10 06:43:29 UTC
Created attachment 145233 [details]
Output of lspci with kernel 2869

Comment 7 Olaf Pasveer 2007-01-10 06:44:12 UTC
Created attachment 145234 [details]
Output of lspci with kernel 2868

Comment 8 Olaf Pasveer 2007-01-10 06:46:03 UTC
When I did a 'locate' on the tg3.ko file it could only be found within the 2868
kernel/driver/net directory. Navigating to the 2869 kernel/driver/net directory
I found out, that the 'driver' directory doesn't even exist.

I enclosed the output of dmesg and lspci for both kernels. Also I enclosed the
output of 'rpm -qa | grep kernel'

Comment 9 John W. Linville 2007-01-10 14:49:08 UTC
Given comment 8, I would speculate that something went wrong with your 2869 
kernel rpm install.  Please try removing the 2869 kernel and reinstalling it 
from a freshly downloaded copy of the rpm.

Does that make things better?

Comment 10 Olaf Pasveer 2007-01-11 07:10:11 UTC
Removed the kernel and kernel-devel. After install did a yum update which now
included dependencies for glibc, gcc, libgcc etc.

Checking in directory /lib/modules/2.6.18-1.2869.fc6/kernel/drivers there are
now various subdirectories containing (amongst others) the tg3 drivers.

Thanks for your help (can be closed)! 

Comment 11 John W. Linville 2007-01-11 13:44:36 UTC
Closing as NOTABUG under the presumption that the rpm install failed due to 
some unidentified external event.

Comment 12 Olaf Pasveer 2007-01-12 06:15:19 UTC
Yesterday evening I booted into 2869 the first time and could work without any
problems. This morning I booted into 2869 only to find out that the
subdirectories in /lib/modules/2.6.18-1.2869.fc6/kernel are missing again. In
other words my ETH0  tg3 drivers were missing as well as some other drivers.

Seems that upon shutdown after using the kernel the first time these directories
are deleted (for whatever reason).

Comment 13 John W. Linville 2007-01-26 15:52:45 UTC
I can only suspect that there is _something_ configured on your system that is 
molesting your /lib/modules directory.  This behavior is certainly not 
observable on any system at my disposal.

I'm afraid that I'll have to ask you to perform a clean installation of FC6, 
then to attempt to recreate this problem there.  Can this issue be observed on 
a clean (i.e. absolute minimum configuration and no 3rd-party packages) FC6 
installation?

Comment 14 John W. Linville 2007-08-07 18:51:42 UTC
Closed due to lack of response...please reopen if this can be recreated with 
F7 installation.


Note You need to log in before you can comment on or make changes to this bug.